
Redmine - Defect #4624

Ajax calls returning 500 error in Webkit browsers

2010-01-21 19:32 - Derek Reynolds

Status: Closed Start date: 2010-01-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.8.7

Description

All ajax calls are returning a 500 error when using Webkit based browsers (Safari, Chrome). Produced when trying to change the

issue tracker type or previewing a new issue.

software version

redmine 0.8.7

mysql 5.1.4

ruby 1.8.7

rails 2.1.2

Processing IssuesController#new (for 0.0.0.0 at 2010-01-21 17:42:45) [GET]

  Session ID: 61ffa65cff08d232bd77567a256529c1

  Parameters: {"project_id"=>"orpheus", "action"=>"new", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/new

Completed in 0.21784 (4 reqs/sec) | Rendering: 0.11947 (54%) | DB: 0.03884 (17%) | 200 OK [http://

url/support/projects/orpheus/issues/new]

/!\ FAILSAFE /!\  Thu Jan 21 17:45:05 +0000 2010

  Status: 500 Internal Server Error

  can't modify frozen string

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/request.rb:490:in `gsub

!'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/request.rb:490:in `clea

n_up_ajax_request_body!'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/request.rb:400:in `pars

e_formatted_request_parameters'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:80:in `r

equest_parameters'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/request.rb:307:in `para

meters'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/request.rb:22:in `reque

st_method'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/request.rb:35:in `metho

d'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:43

2:in `extract_request_environment'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:38

5:in `recognize'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:148:in `h

andle_request'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:107:in `d

ispatch'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `s

ynchronize'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `d

ispatch'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:120:in `d

ispatch_cgi'
    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:35:in `di

spatch'

    /usr/local/redmine-0.8.7/public/dispatch.cgi:10

/!\ FAILSAFE /!\  Thu Jan 21 17:45:10 +0000 2010

  Status: 500 Internal Server Error

  can't modify frozen string

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/request.rb:490:in `gsub

!'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/request.rb:490:in `clea

n_up_ajax_request_body!'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/request.rb:400:in `pars

e_formatted_request_parameters'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:80:in `r

equest_parameters'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/request.rb:307:in `para

meters'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/request.rb:22:in `reque

st_method'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/request.rb:35:in `metho

d'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:43

2:in `extract_request_environment'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:38

5:in `recognize'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:148:in `h

andle_request'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:107:in `d

ispatch'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `s

ynchronize'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `d

ispatch'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:120:in `d

ispatch_cgi'

    /usr/local/redmine-0.8.7/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:35:in `di

spatch'

    /usr/local/redmine-0.8.7/public/dispatch.cgi:10

History

#1 - 2010-06-19 18:49 - Greg Mefford

Can't reproduce in trunk Redmine with ruby 1.8.7 and Rails 3.2.5.

My guess is that it's a problem in Rails 2.1.2, but I guess that's pretty obvious from the error message.

#2 - 2010-07-09 15:02 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Cant reproduce

Can't reproduce on current trunk, filing this one as "old and working now".
